#!/bin/bash

# Get the current timestamp
timestamp=$(date +%Y%m%d%H%M%S)

# Construct the filename
filename="recording_$timestamp.cast"

mkdir -p ~/Documents/arecordings

# Start the recording
asciinema rec ~/Documents/arecordings/${filename}

echo "Recording saved to ~/Documents/arecordings/${filename}"
